Advertisement

header ads

¿CÓMO SOLUCIONAR EL ERROR DE VMWARE AL ACTUALIZAR LA KERNEL 4.6.3 EN KALI LINUX?

Hoy he tenido mi kernel en la versión 4.5 y actualice mi kernel a la versión 4.6.3 y me ha mostrado errores con vmware y vengo a enseñarle la solución.


MIS ERRORES DE VMWARE


SOLUCIÓN

Primer paso vamos a modificar algunos archivos en la zona de /usr/lib/
/usr/lib/vmware/modules/source
vamos a modificar el siguiente archivo vmmon.tar.
Encontrás varias carpetas y solo modificaremos “hostif.c”
Y buscamos en buscar la siguiente palabra
get_user_pages
Y tendrás que agregar esto
get user_pages_remote
Ahora con otra carpeta “vmnet.tar”
Aquí entraras y buscas el archivo “userif.c” para modificar lo.
Lo mismo
get_user_pages
Y tendrás que agregar esto
get user_pages_remote
Espero haberte ayudado luego lo guardas y actualizas y listo.
No te olvides de compartirlo.

Publicar un comentario

0 Comentarios